Entity Viewer

外掛說明

The plugin displays properties and custom fields of WordPress entities (posts, users, terms, comments) for debugging/development purposes.

Features

  • Supported entities: posts (including custom post types), users, terms, comments
  • Displayed data: properties (e.g. ID, guid, post_type) and custom fields (e.g. _edit_lock, _thumbnail_id )
  • Sorting by different conditions (ASC/DESC)
  • Searching/filtering (with highlighting of found result)
  • Pretty viewing of serialized data
  • Auto-updating on Gutenberg’s “publish/update” actions
  • Manual updating without refreshing a whole page

How it works

The plugin displays the metabox on “edit” pages of supported WordPress entities in the WP Admin Panel.
The required role to access the info is Administrator for “Single site” mode and Super Admin for “Multisite”.

Links

Github repo, Github issues

使用者評論

2022 年 2 月 1 日 1 reply
Очень, очень удобный плагин для разработчика. Показывает все данные и меты разных сущностей - посты, термы, юзеры. Очень удобно
閱讀全部 1 則使用者評論

參與者及開發者

以下人員參與了開源軟體〈Entity Viewer〉的開發相關工作。

參與者

將〈Entity Viewer〉外掛本地化為台灣繁體中文版

對開發相關資訊感興趣?

任何人均可瀏覽程式碼、查看 SVN 存放庫,或透過 RSS 訂閱開發記錄

變更記錄

0.5.1 — 2022.01.29

  • Dev – Fix “Requires at least” header in the entry PHP-file of the plugin

0.5.0 — 2022.01.29

  • Dev – Add the github workflow to do releases on wp.org automatically

0.4.0 — 2022.01.23

  • Breaking changes – Change the prefix of PHP-functions (of the plugin) in the global namespace: vsm_ -> entview_
  • Breaking changes – Change the prefix of PHP-WP-filters of the plugin: vsm/ -> entview/
  • Breaking changes – Change the PHP namespace of the plugin: VsEntityViewer -> Versusbassz\EntityViewer
  • Fix – the issues that were sent by wp.org moderation team on the plugin submission to the wp.org plugins repo

0.3.1 — 2022.01.21

  • Fix – Remove unnecessary debug output from javascript code

0.3.0 — 2022.01.21

  • Critical – The plugin has been renamed: “Meta viewer” -> “Entity viewer”
  • Critical, Requirements – Update required PHP version: 7.3+ -> 7.4+
  • Critical, Requirements – Update minimal required WordPress core version: 5.6.4 -> 5.7.0
  • New – Display properties of WP entities in the metabox
  • New – Add tabs to metabox to switch visibility of properties and custom fields
  • New – Support “Multisite” mode
  • Enhancement – Add pretty displaying of “null” values
  • Enhancement – Provide a hint for a user if a search query was found in a raw value but wasn’t highlighted in a “pretty” value
  • Enhancement – Disable text selection on unnecessary elements
  • Enhancement – Add details to phrases in the admin notices about incompatible PHP/WP versions
  • Misc – Prepare the plugin for release on wordpress.org
  • Fix – Handle the case of incorrect JSON (syntax error) on AJAX response
  • Fix – Fix non-valid layout of the metabox
  • Fix – Fix unnecessary “subscribe” actions in the logic of compatibility with Gutenberg
  • Dev – Rework the initialization logic of the plugin
  • Dev, i18n – Implement i18n support
  • New, Dev – Add “vsm/plugin_enabled”, “vsm/is_plugin_allowed”, “vsm/is_i18n_enabled” filters

0.2.1 — 2021.06.27

  • Fix – Highlight search results in id,name colums also
  • Fix – Enable Gutenberg compatibility logic only on pages where it exists (editing of post, pages, etc)

0.2.0 — 2021.06.27

  • New – Add “Refresh data” button (updating data of the metabox dynamically)
  • Enhancement – The interface of the plugin has been rewritten on ReactJS
  • Enhancement – Update metabox content on Gutenberg “Publish/Update” actions
  • Enhancement – Highlight search results
  • Security – Update glob-parent npm dependency
  • Dev – Add browserlist
  • Dev – Migrate from node-sass to sass (Dart implementation)

0.1.0 — 2021.06.01

  • New – Dynamic search (with hidding of not relevant fields)
  • New – Add an admin notice for installations with old PHP versions
  • New – Add minimal supported WordPress core version + admin notice
  • Maintenance – Update required PHP version: 5.4+ -> 7.3+
  • Fix – Replace <pre> tag for values with a styled div (because of incorrect formatting of long values)
  • Dev – Build CSS/JS code with webpack
  • Dev – Add README.md